<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans 
       http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd
       http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

    <context:component-scan base-package="com.gic.haoban.*"/>
    <!-- 应用名称 -->
    <dubbo:application name="haoban-manage3-service"/>


    <dubbo:protocol name="dubbo" port="30113"/>

    <dubbo:annotation package="com.gic.haoban.manage.service.service"/>

    <bean class="com.gic.haoban.common.ext.LoggerLevelListen" id="loggerLevelListen">
        <constructor-arg index="0" value="haoban-manage-service"/>
    </bean>
    
    <dubbo:service interface="com.gic.haoban.manage.api.service.WxEnterpriseActiveDataApiService" ref="wxEnterpriseActiveDataApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.chat.GroupChatDataApiService" ref="groupChatDataApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.chat.GroupChatPlanApiService" ref="groupChatPlanApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.chat.GroupChatHmApiService" ref="groupChatHmApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.chat.GroupChatApiService" ref="groupChatApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.HaobanCommonMQApiService" ref="haobanCommonMQApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.WxUserAddLogApiService" ref="wxUserAddLogApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.KeyDataApiService" ref="keyDataApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmLinkApiService" ref="hmLinkApiService" timeout="10000"/>
	<dubbo:service interface="com.gic.haoban.manage.api.service.HaobanUserApiService" ref="haobanUserApiService" timeout="10000"/>
	<dubbo:service interface="com.gic.haoban.manage.api.service.QwFriendApiService" ref="qwFriendApiService" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.ApplicationApiService" ref="applicationApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.TestApiService" ref="testServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.DepartmentApiService" ref="departmentApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.StaffApiService" ref="staffApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService"
                   ref="wxEnterpriseRelatedApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService"
                   ref="staffDepartmentRelatedApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.WxEnterpriseApiService" ref="wxEnterpriseApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.MessageApiService" ref="messageApiService"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.WxApplicationApiService" ref="wxApplicationApiService"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.MemberUnionidRelatedApiService"
                   ref="memberUnionidRelatedApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.ApplicationSettingApiService"
                   ref="applicationSettingApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.AuditSettingApiService" ref="auditSettingApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.DictApiService" ref="dictApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.HelpApiService" ref="helpApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.AuditApiService" ref="auditApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.ClerkMainStoreRelatedApiService"
                   ref="clerkMainStoreRelatedApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.MaidianLogApiService" ref="maidianLogApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.MaidianDictApiService" ref="maidianDictApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.MaterialApiService" ref="materialApiServiceImpl"
                   timeout="30000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.ApplicationTemplateApiService"
                   ref="applicationTemplateApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.ExternalClerkRelatedApiService"
                   ref="externalClerkRelatedApiServiceImpl" timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.StaffClerkRelationApiService"
                   ref="staffClerkRelationApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.DealSyncOperationApiService"
                   ref="dealSyncOperationApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.CheckQywxSettingApiService"
                   ref="checkQywxSettingApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.HandoverOperationApiService"
                   ref="handoverOperationApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.QywxTagApiService" ref="qywxTagApiServiceImpl"
                   timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.OperationSettingApiService"
                   ref="operationSettingApiServiceImpl"
                   timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.notify.PendingTaskApiService"
                   ref="pendingTaskApiServiceImpl"
                   timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.notify.NoticeMessageApiService"
                   ref="noticeMessageApiServiceImpl"
                   timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.out.SecretSettingApiService"
                   ref="secretSettingApiServiceImpl" timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.out.WelcomeApiService"
                   ref="welcomeApiServiceImpl" timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.QywxErrorLogApiService"
                   ref="qywxErrorLogApiServiceImpl" timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.HaobanTimerApiService" ref="haobanTimerApiService" timeout="10000"/>               
                   

    <!-- hm -->
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmGroupApiService"
                   ref="hmGroupApiServiceImpl" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmWelcomeRelationApiService"
                   ref="hmWelcomeRelationApiServiceImpl" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmPageApiService"
                   ref="hmPageTemplateApiServiceImpl" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmQrcodeApiService"
                   ref="hmQrcodeApiServiceImpl" timeout="10000" />
 	<dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmLinkVisitLogApiService"
                   ref="hmLinkVisitLogApiService" timeout="10000" />
    <!-- fee -->
    <dubbo:service interface="com.gic.haoban.manage.api.service.fee.HaobanQywxFeeApiService" ref="haobanQywxFeeApiService"
                   timeout="10000"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.hm.HmClerkRelationApiService"
                   ref="hmClerkRelationApiService" timeout="10000" />

    <dubbo:service interface="com.gic.haoban.manage.api.service.SyncHaobanToGicApiService" ref="syncHaobanToGicApiServiceImpl"
                   timeout="10000"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.ValidationCodeApiService" ref="validationCodeApiServiceImpl"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.licence.LicenceOrderApiService" ref="licenceOrderApiServiceImpl"/>

	<dubbo:reference interface="com.gic.enterprise.api.service.EnterpriseUseForbidService" id="enterpriseUseForbidService"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.role.HaobanMenuApiService" ref="haobanMenuApiServiceImpl"/>
    <dubbo:service interface="com.gic.haoban.manage.api.service.role.HaobanRoleApiService" ref="haobanRoleApiServiceImpl"/>

    <dubbo:reference interface="com.gic.enterprise.api.service.DepartmentService" id="gicDepartmentService"/>
    <dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxDepartmentApiService"
                     id="qywxDepartmentApiService"/>
    <dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxSuiteApiService" id="qywxSuiteApiService" timeout="20000"/>
    <dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxUserApiService" id="qywxUserApiService" timeout="20000"/>
    <dubbo:reference interface="com.gic.enterprise.api.service.StoreGroupService" id="storeGroupService"/>

    <dubbo:reference interface="com.gic.clerk.api.service.ClerkService" id="clerkService"/>
    <dubbo:reference interface="com.gic.clerk.api.service.ClerkNewService" id="clerkNewService"/>

    <dubbo:reference interface="com.gic.member.api.service.MemberService" id="memberService"/>

    <dubbo:reference interface="com.gic.enterprise.api.service.StoreService" id="storeService"/>

    <dubbo:reference interface="com.gic.member.api.service.MemberOpenCardBusinessService"
                     id="memberOpenCardBusinessService"/>
    <dubbo:reference id="eSDataDynamicOperationApiService"
                     interface="com.gic.search.engine.api.service.dynamic.ESDataDynamicOperationApiService"
                     timeout="10000"/>


    <dubbo:reference id="qqCloudPicService" interface="com.gic.thirdparty.api.service.QQCloudPicService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference id="innerApiService" interface="com.gic.haoban.app.customer.service.api.service.InnerApiService"
                     timeout="10000" retries="0" check="false"/>

    <dubbo:reference id="customerApiService"
                     interface="com.gic.haoban.app.customer.service.api.service.CustomerApiService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference id="qywxTagSyncApiService"
                     interface="com.gic.haoban.app.customer.service.api.service.QywxTagSyncApiService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference id="enterpriseService" interface="com.gic.enterprise.api.service.EnterpriseService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference interface="com.gic.member.api.service.MemberTagService" id="memberTagService"/>
    <dubbo:reference interface="com.gic.member.tag.api.service.MemberTagApiService" id="memberTagApiService"/>
    <dubbo:reference interface="com.gic.member.tag.api.service.MemberTagItemApiService" id="memberTagItemApiService"/>

    <dubbo:reference interface="com.gic.clerk.api.service.PowerService" id="powerService"/>
    <dubbo:reference interface="com.gic.enterprise.api.service.AuthorizeService" id="authorizeService"/>
    <dubbo:reference id="quartzService" interface="com.gic.quartz.api.service.QuartzService" timeout="10000"/>
    <dubbo:reference id="memberApiService" interface="com.gic.member.api.service.MemberApiService" timeout="10000"/>
	<dubbo:reference id="customSettingApiService" interface="com.gic.enterprise.service.CustomSettingApiService" retries="0" check="false" timeout="10000"/>
    <dubbo:reference id="weixinBaseFunService" interface="com.gic.wechat.api.service.fwh.WeixinBaseFunService" timeout="10000"/>
    <dubbo:reference id="memberStoreService" interface="com.gic.member.api.service.MemberStoreService" timeout="10000"/>
    <dubbo:reference id="imageService" interface="com.gic.enterprise.api.service.ImageService" timeout="10000"/>
	<dubbo:reference id="rightService" interface="com.gic.clerk.api.service.RightService" timeout="10000"/>
    <dubbo:reference id="storeWidgetService"
                     interface="com.gic.enterprise.api.service.StoreWidgetService" timeout="10000"
                     retries="0" check="false"/>
   <dubbo:reference id="memberTagOpenApiService" interface="com.gic.member.tag.api.service.MemberTagOpenApiService" timeout="10000" retries="0" check="false"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxExternalUserService" id="qywxExternalUserService"/>
    <dubbo:reference interface="com.gic.marketing.api.service.SmsService" id="smsService" timeout="10000" retries="0"/>
    <dubbo:reference interface="com.gic.marketing.api.service.AccountOverdueSmsSendService" id="accountOverdueSmsSendService" timeout="10000" retries="0"/>
    <dubbo:reference interface="com.gic.thirdparty.api.service.VoiceService" id="voiceService" timeout="10000" retries="0"/>
    <dubbo:reference interface="com.gic.thirdparty.api.service.CommunicationService" id="communicationService" timeout="10000" retries="0"/>

    <dubbo:reference interface="com.gic.member.api.service.MemberEntranceApiService" id="memberEntranceApiService" timeout="10000" retries="0"/>
    <dubbo:reference interface="com.gic.haoban.app.customer.service.api.service.ManageSettingApiService" id="manageSettingApiService" timeout="10000" retries="0"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxChatApiService" id="qywxChatApiService" timeout="10000" retries="0"/>
	<dubbo:reference interface="com.gic.member.tag.api.service.MemberTagGroupApiService" id="memberTagGroupApiService" timeout="10000" retries="0"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.ScreeningDetailService" id="screeningDetailService" timeout="10000" retries="0"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxOrderApiService" id="qywxOrderApiService" timeout="10000" retries="0"/>
    <dubbo:reference id="pay4WXService" interface="com.gic.thirdparty.api.service.Pay4WXService" timeout="10000" retries="0" check="false"/>

    <dubbo:service interface="com.gic.haoban.manage.api.service.content.MaterialShareLogApiService"
                   ref="materialShareLogApiServiceImpl" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.content.task.QywxGroupMsgTaskApiService"
                   ref="qywxGroupMsgTaskApiServiceImpl" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.content.PotentialCustomerApiService"
                   ref="potentialCustomerApiService" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.content.InteractRecordApiService"
                   ref="interactRecordApiService" timeout="10000" />
    <dubbo:service interface="com.gic.haoban.manage.api.service.content.MallOrderStatusChangeApiService"
                   ref="mallOrderStatusChangeApiService" timeout="10000" />

    <dubbo:reference interface="com.gic.store.goods.service.GoodsInfoOutApiService" id="goodsInfoOutApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.store.goods.service.GoodsCenterApiService" id="goodsCenterApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.business.order.service.ordermanage.OrderInfoOutApiService" id="orderInfoOutApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.orderecommerce.api.service.EcommerceOrderOutputApiService" id="ecommerceOrderOutputApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.order.api.service.sharding.OrderApiService" id="orderApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.member.api.service.MemberOutApiService" id="memberOutApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.operating.api.service.HaobanWxEnterpriseApiService" id="haobanWxEnterpriseApiService" timeout="10000" retries="0" check="false"/>

</beans>